Community
Inventor Forum
Welcome to Autodesk’s Inventor Forums. Share your knowledge, ask questions, and explore popular Inventor topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

line up views

5 REPLIES 5
SOLVED
Reply
Message 1 of 6
jbelle7435
828 Views, 5 Replies

line up views

Let's say I have a flat pattern view of my part and the bended top view of the same part on the same drawing and I want both of the left side of each to be in line. (The right side shortends after the bends occur but the left side is not changed at all)

 

Work around:

1. Export to autocad and line them up with the osnaps, etc

 

I know how to sketch per view and project geometry but thats still on each view and when I try to line them up I am using my eye. Is there a better way to line both up even though their on different views?

Inventor 2012
5 REPLIES 5
Message 3 of 6
jbelle7435
in reply to: cbenner

 
Inventor 2012
Message 4 of 6
Cadmanto
in reply to: jbelle7435

What I would do is create (if not already created) a plane in the model that is in the same location for both views of the model.  Then show that model in the drawing and dimension them in accordance with the origin point of the drawing.

Not having worked with sheet metal that much this is assuming that the align view command when you RC on the view is not working when it comes to flat and non-flat views.

 

check.PNGIf this solved your issue please mark this posting "Accept as Solution".

Or if you like something that was said and it was helpful, Kudoskudos.PNG are appreciated. Thanks!!!! Smiley Very Happy

 

New EE Logo.PNG

Inventor.PNG     vault.PNG

Best Regards,
Scott McFadden
(Colossians 3:23-25)


Message 5 of 6
cwhetten
in reply to: jbelle7435

You could use an iLogic rule to line up the left edges:

 

oView1Name = "VIEW1"  '***Replace the text in quotes with the names of the views you are trying to align
oView2Name = "VIEW2"

oView1Pos = ActiveSheet.View(oView1Name).View.Position
oView1Width = ActiveSheet.View(oView1Name).View.Width
oView2Pos = ActiveSheet.View(oView2Name).View.Position
oView2Width = ActiveSheet.View(oView2Name).View.Width

Dim oView2NewPos As Point2d 
oView2NewPos = ThisApplication.TransientGeometry.CreatePoint2d(0,0)
oView2NewPos.x = oView1Pos.x - (oView1Width/2) + (oView2Width/2)
oView2NewPos.y = oView2Pos.y
ActiveSheet.View(oView2Name).View.Position = oView2NewPos

 Create a new iLogic rule in your drawing and paste the above text into that rule.  You will need to replace the "VIEW1" and "VIEW2" with the actual names of your drawing views (in quotes).

 

This rule doesn't run automatically.  And, the views don't stay aligned if you try to move one of them.  So, if you move one, run the rule again to line them up again.

 

The rule is attached as a TXT file, in case copying and pasting from the code window above doesn't work for you.

 

Cameron Whetten
Inventor 2014

Please click "Accept as Solution" if this response answers your question.

Message 6 of 6
jbelle7435
in reply to: jbelle7435

Your idea woked. Will save this as specified.

 

Thx

Inventor 2012

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report